Description

Fresh Foreman 1.5 RC2 with oVirt 3.4 GA

When compute profiles exist the VM cannot get deployed, it gives the error (even when the template has "Linux" selected):

Cannot add VM. Cannot set single display device to non Linux operating system.

If compute profiles are removed, the VM gets deployed and started with the correct network interface and name, BUT there is no disk

provisioned and any other template parameters like OS Type, delete protection, etc. they do not get carried over.

This seems to be similar to this issue which I also reported many months ago, http://projects.theforeman.org/issues/3750

Related issues:

Related to Foreman - Bug #3750: Cloning oVirt VMs doesn't create a new disk Closed

Related to Foreman - Bug #6495: Unable to provision on RHEV 3.3 via templates Closed 07/04/2014

History

#1 - 05/06/2014 08:43 AM - Dominic Cleal

- Related to Bug #3750: Cloning oVirt VMs doesn't create a new disk added

#2 - 05/06/2014 08:43 AM - Dominic Cleal

- Category set to Compute resources

#3 - 05/19/2014 11:57 AM - Jorick Astrego

Using foreman 1.5 and ovirt 3.4.1, I have similar issues. When creating the VM, it fails. But the vm has been created without a disk. The strange thing

is the error talks a about "Cannot remove VM" while it's a newly created VM:

Unable to save

Failed to destroy a compute xxxxxxx (oVirt) instance test2.xxx.xxx: Cannot remove VM: The following disks are locked: test2-xxx-xxx_Disk1.

Please try again in a few minutes.

mac value is blank!

Failed to destroy a compute xxxxxxx (oVirt) instance test2.xxx.xxx: Cannot remove VM: The following disks are locked: test2-xxx-xxx_Disk1.

Please try again in a few minutes.

 From the ovirt log:

2014-05-19 13:47:02,744 INFO  [org.ovirt.engine.core.bll.AddDiskCommand] (ajp--127.0.0.1-8702-6) [2b8cb67e] Running command:

AddDiskCommand internal: false. Entities affected :  ID: e1a787a6-c4ce-4e72-8d69-3beb6abc3e8b Type: VM,  ID:

0751cdb1-0ee3-494c-88e2-c0e7df58aa52 Type: Storage

2014-05-19 13:47:02,744 INFO  [org.ovirt.engine.core.bll.ImagesHandler] (ajp--127.0.0.1-8702-6) [2b8cb67e] Disk alias retrieved from the client

is null or empty, the suggested default disk alias to be used is test2-xxxx-xxx_Disk1

2014-05-19 13:47:02,955 INFO  [org.ovirt.engine.core.bll.AddImageFromScratchCommand] (ajp--127.0.0.1-8702-6) [70732b8f] Running

command: AddImageFromScratchCommand internal: true. Entities affected :  ID: 0751cdb1-0ee3-494c-88e2-c0e7df58aa52 Type: Storage

2014-05-19 13:47:02,977 INFO  [org.ovirt.engine.core.bll.AddImageFromScratchCommand] (ajp--127.0.0.1-8702-6) [70732b8f] Lock freed to

object EngineLock [exclusiveLocks= , sharedLocks= key: e1a787a6-c4ce-4e72-8d69-3beb6abc3e8b value: VM

]

2014-05-19 13:47:02,978 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CreateImageVDSCommand] (ajp--127.0.0.1-8702-6) [70732b8f]

START, CreateImageVDSCommand( storagePoolId = 00000002-0002-0002-0002-000000000390, ignoreFailoverLimit = false, storageDomainId
= 0751cdb1-0ee3-494c-88e2-c0e7df58aa52, imageGroupId = 395e6b7b-a34c-4c06-9e0f-83e0a9dde925, imageSizeInBytes = 53687091200,

volumeFormat = COW, newImageId = 450c6f08-d658-4468-b2d4-845d1eae6013, newImageDescription = ), log id: 75e5e9dd

2014-05-19 13:47:02,979 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CreateImageVDSCommand] (ajp--127.0.0.1-8702-6) [70732b8f] --

executeIrsBrokerCommand: calling 'createVolume' with two new parameters: description and UUID

2014-05-19 13:47:03,378 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CreateImageVDSCommand] (ajp--127.0.0.1-8702-6) [70732b8f]

FINISH, CreateImageVDSCommand, return: 450c6f08-d658-4468-b2d4-845d1eae6013, log id: 75e5e9dd

2014-05-19 13:47:03,408 INFO  [org.ovirt.engine.core.bll.CommandAsyncTask] (ajp--127.0.0.1-8702-6) [70732b8f]

CommandAsyncTask::Adding CommandMultiAsyncTasks object for command 7cf949b8-d057-49a4-867f-0ec64ed6c815

2014-05-19 13:47:03,408 INFO  [org.ovirt.engine.core.bll.CommandMultiAsyncTasks] (ajp--127.0.0.1-8702-6) [70732b8f]

CommandMultiAsyncTasks::AttachTask: Attaching task c64e4721-0a7e-4448-8770-b089b8557ad4 to command

7cf949b8-d057-49a4-867f-0ec64ed6c815.

2014-05-19 13:47:03,444 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (ajp--127.0.0.1-8702-6) [70732b8f] Adding task

c64e4721-0a7e-4448-8770-b089b8557ad4 (Parent Command AddDisk, Parameters Type

org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters), polling hasn't started yet..

2014-05-19 13:47:03,544 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-6) [70732b8f]

Correlation ID: 2b8cb67e, Job ID: c364dfa5-198c-4bc4-a725-2878e2743e42, Call Stack: null, Custom Event ID: -1, Message: Add-Disk

operation of test2-netbulae-mgmt_Disk1 was initiated on VM test2-netbulae-mgmt by admin.

2014-05-19 13:47:03,546 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (ajp--127.0.0.1-8702-6) [70732b8f] BaseAsyncTask::startPollingTask:

Starting to poll task c64e4721-0a7e-4448-8770-b089b8557ad4.

2014-05-19 13:47:04,113 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (ajp--127.0.0.1-8702-9) [5f576a1b] Lock Acquired to object

EngineLock [exclusiveLocks= key: e1a787a6-c4ce-4e72-8d69-3beb6abc3e8b value: VM

, sharedLocks= ]

2014-05-19 13:47:04,119 WARN  [org.ovirt.engine.core.bll.RemoveVmCommand] (ajp--127.0.0.1-8702-9) [5f576a1b] CanDoAction of action

RemoveVm failed. Reasons:VAR__ACTION__REMOVE,VAR__TYPE__VM,ACTION_TYPE_FAILED_DISKS_LOCKED,$diskAliases

test2-xxxxx-xxx_Disk1

2014-05-19 13:47:04,120 INFO  [org.ovirt.engine.core.bll.RemoveVmCommand] (ajp--127.0.0.1-8702-9) [5f576a1b] Lock freed to object

EngineLock [exclusiveLocks= key: e1a787a6-c4ce-4e72-8d69-3beb6abc3e8b value: VM

, sharedLocks= ]

2014-05-19 13:47:04,144 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp--127.0.0.1-8702-9) Operation Failed:

[Cannot remove VM: The following disks are locked: test2-xxxxx-xxx_Disk1. Please try again in a few minutes.]

#4 - 07/04/2014 09:21 AM - Lukas Zapletal

- Related to Bug #6495: Unable to provision on RHEV 3.3 via templates added

#5 - 09/26/2014 07:18 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - oVirt

#6 - 12/09/2019 02:06 PM - yifat makias

- Status changed from New to Closed

Closing this issue because I am not sure if it is still relevant. The two related issues were fixed.

If there is any problem open this issue again and please explain the problem again.
